Help - Search - Members - Calendar
Full Version: Removing -nossl Wpa_supplicant In Favor Of Ssl Ver
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > Angstrom & OpenZaurus
I have a Sharp SL-5500 "collie" with OpenZaurus/GPE 3.5.3 on it. I have a SanDisk ConnectPlus card that I want to use to get on my home wireless network (I did this succesfully before when I was using OPIE). The network uses WPA-EAP/TKIP with PEAP-MSCHAPv2 authentication, which requires the SSL version of wpa_supplicant to get on. Included in the OpenZaurus ROM image I have is a version of wpa_supplicant that doesn't have SSL. I have installed the SSL version to RAM but I'm having trouble removing the -nossl version. With it there, ipkg-link doesn't create symlinks to /media/ram/packages/ for the SSL version. If I type:

ipkg remove wpa-supplicant-nossl

ipkg responds:

Nothing to be done.

Even though it is installed:

root@collie:/# ipkg status wpa-supplicant-nossl
Package: wpa-supplicant-nossl
Version: 0.2.6-r3
Depends: libgcc1 (>= 3.4.3), libc6 (>= 2.3.2+cvs20040726)
Provides: hostap-wpa-supplicant-nossl
Replaces: hostap-wpa-supplicant-nossl
Conflicts: hostap-wpa-supplicant-nossl
Status: install ok installed
Architecture: arm

root@collie:/# ipkg files wpa-supplicant-nossl
Package wpa-supplicant-nossl (0.2.6-r3) is installed on root and has the following files:

Any help here would be greatly appreciated.

But be careful, -force-depends can be rather powerful with what it removes...

QUOTE(lardman @ Sep 4 2005, 05:49 PM)

But be careful, -force-depends can be rather powerful with what it removes...



It would be useful if ipkg told me that dependencies were why it had "nothing to do"...
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2015 Invision Power Services, Inc.